
-- Crear un producto
INSERT INTO Product (ID, DESCRIPTION, NAME, PRICE, ADDRESS_ID, PERSON_ID)
VALUES (1, 'Product Description', 'Product Name', 9.99, 1, 1);


-- Crear publicacion

INSERT INTO Publication (ID, IS_ACTIVE, MAX_PRICE, MIN_PRICE, STOCK, PRODUCT_ID)
VALUES (1, TRUE, 99.99, 10.99, 100, 1);

-- Agregar una publicacion a un carrito de compras
INSERT INTO SHOPPING_CART_PUBLICATION(PUBLICATION_ID, SHOPPING_CART_ID)
VALUES (1, 1);


INSERT INTO CHECKOUT(DATE, PERSON_ID)
VALUES (CURRENT_DATE, 1);

INSERT INTO PUBLICATION_CHECKOUT(CHECKOUT_ID, PUBLICATION_ID)
VALUES (1, 1);

SELECT EXTRACT(MONTH FROM date) AS "MONTH", COUNT(*) 
FROM Checkout
RIGHT JOIN PUBLICATION_CHECKOUT ON PUBLICATION_CHECKOUT.checkout_id = CHECKOUT.id 
WHERE to_char(date, 'YYYY') = 2023
AND to_char(date, 'MM') = 6
GROUP BY EXTRACT(MONTH FROM date) 
ORDER BY EXTRACT(MONTH FROM date) ASC


select cast(DATEDIFF(dd,BIRTH, now())/365.25 as int) AS "AGE" from PERSON
WHERE  cast(DATEDIFF(dd,BIRTH, now())/365.25 as int) = 30
